#!/bin/bash
############################################
# Author: Daniel Meiß-Wilhelm              #
# Website: <www.pclinuxos.com/forum> 	   #
# Designed for PCLinuxOS-LXDE-2012.12      #
# Release: 2012   		                   #
# License: GPL2                            #
############################################
#
export TEXTDOMAIN=edit_hostname.sh
export TEXTDOMAINDIR="/usr/share/locale"
#
WRITE=/usr/sbin/hostname_write.sh
WNAME="Edit Hostname"
export INFO='
<window window_position="1" title="'$WNAME'" width-request="300" icon-name="preferences-system-network">
	<vbox>
		<text use-markup="True">
			<label>"<b>'$"Please reboot now!"'</b>"</label>
		</text>
		<hbox>
			<button>
				<label>'$"Close"'</label>
				<input file stock="gtk-ok"></input>
				<variable>INFO</variable>
				<action type="refresh">HOST</action>
				<action type="refresh">NETWORK</action>
				<action type="closewindow">INFO</action>
			</button>
		</hbox>
	</vbox>
</window>
'
#
export HOSTNAME='
<window window_position="1" title="'$WNAME'" width-request="300" icon-name="preferences-system-network">
	<vbox>
		<frame HOST>
			<vbox scrollable="true">
				<text use-markup="True" wrap="False" xalign="0">
					<variable>HOST</variable>
					<input file>/etc/hosts</input> 
				</text>
			</vbox>
		</frame>	
		<frame NETWORK>	
			<vbox scrollable="true">
				<text use-markup="True" wrap="False" xalign="0">
					<variable>NETWORK</variable>
					<input file>/etc/sysconfig/network</input> 
				</text>
			</vbox>
		</frame>
		<text><label>Enter Hostname:</label></text>
			<entry>
				<variable>HOSTNAME</variable>
			</entry>	
		<hbox>
			<button>
					<label>'$"Save"'</label>
					<input file stock="gtk-save"></input>
					<action>echo $HOSTNAME >/tmp/new_hostname</action>
					<action>gksu '$WRITE'</action>
					<action type="launch">INFO</action>
			</button>
			<button>
				<label>'$"Close"'</label>
				<input file stock="gtk-ok"></input>
				<action>rm -r /tmp/new_hostname</action>
				<action type="exit">HOSTNAME</action>
			</button>
		</hbox>
	</vbox>
</window>
'
gtkdialog --program=HOSTNAME > /dev/null 2>&1
